Package com.sun.j3d.utils.behaviors.sensor

# Class SensorBeamEcho

java.lang.Object
javax.media.j3d.SceneGraphObject
javax.media.j3d.Node
javax.media.j3d.Leaf
javax.media.j3d.Shape3D
com.sun.j3d.utils.behaviors.sensor.SensorBeamEcho

public class SensorBeamEcho extends Shape3D
A Shape3D representing a beam pointing from the origin of a sensor's local coordinate system to its hotspot.

Since:
  Java 3D 1.3

## Field Summary

### Fields inherited from class javax.media.j3d.Shape3D

`ALLOW_APPEARANCE_OVERRIDE_READ, ALLOW_APPEARANCE_OVERRIDE_WRITE, ALLOW_APPEARANCE_READ, ALLOW_APPEARANCE_WRITE, ALLOW_COLLISION_BOUNDS_READ, ALLOW_COLLISION_BOUNDS_WRITE, ALLOW_GEOMETRY_READ, ALLOW_GEOMETRY_WRITE`

### Fields inherited from class javax.media.j3d.Node

`ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_LOCALE_READ, ALLOW_PARENT_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

## Constructor Summary

Constructors
Constructor
Description
`SensorBeamEcho(javax.vecmath.Point3d hotspot, double baseWidth, boolean enableLighting)`
Creates a SensorBeamEcho.

## Method Summary

### Methods inherited from class javax.media.j3d.Shape3D

`addGeometry, cloneNode, duplicateNode, getAllGeometries, getAppearance, getAppearanceOverrideEnable, getBounds, getCollisionBounds, getGeometry, getGeometry, indexOfGeometry, insertGeometry, intersect, intersect, intersect, numGeometries, removeAllGeometries, removeGeometry, removeGeometry, setAppearance, setAppearanceOverrideEnable, setCollisionBounds, setGeometry, setGeometry`

### Methods inherited from class javax.media.j3d.Node

`cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, getBoundsAutoCompute, getCollidable, getLocale, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

### Methods inherited from class javax.media.j3d.SceneGraphObject

`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, toString, updateNodeReferences`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SensorBeamEcho

public SensorBeamEcho(javax.vecmath.Point3d hotspot, double baseWidth, boolean enableLighting)
Creates a SensorBeamEcho. Read and write capabilities are granted for the Appearance, Material, TransparencyAttributes, and TransparencyAttributes mode and value.

Parameters:
  `hotspot` - location of the sensor's hotspot in the sensor's local coordinate system; this must not be (0, 0, 0)
  `baseWidth` - width of the beam in meters
  `enableLighting` - boolean indicating whether normals should be generated and lighting enabled
Throws:
  `IllegalArgumentException` - if hotspot is (0, 0, 0)